Last Comment Bug 685313 - Assertion failure: [infer failure] Missing type pushed 0: string, at jsinfer.cpp:341
: Assertion failure: [infer failure] Missing type pushed 0: string, at jsinfer....
Status: RESOLVED FIXED
fixed-in-jaegermonkey
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks: langfuzz
  Show dependency treegraph
 
Reported: 2011-09-07 14:25 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 07:47 PST (History)
4 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Christian Holler (:decoder) 2011-09-07 14:25:12 PDT
The following test asserts on mozilla-central revision b7d269a291b6 (options -m -n -a):


function testBug501690() {
    function D(){}
    arr = [
        new (function D   (  ) { 
                D += '' + testBug501690; 
        }), 
        new D
    ];
}
testBug501690();
Comment 1 Brian Hackett (:bhackett) 2011-09-08 18:22:37 PDT
Analysis bug from the recent closure perf stuff.  When resolving NAME accesses to the closure they will target, we didn't account for the function names which will appear in DeclEnv objects for named lambda functions, causing the name to resolve wrong.

http://hg.mozilla.org/projects/jaegermonkey/rev/353b160fb804
Comment 2 Brian Hackett (:bhackett) 2011-09-22 14:14:03 PDT
https://hg.mozilla.org/mozilla-central/rev/c02868b913d5
Comment 3 Christian Holler (:decoder) 2013-01-14 07:47:56 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/bug685313.js.

Note You need to log in before you can comment on or make changes to this bug.